[Bug 1651595] [NEW] Please backport python-urllib3 1.13.1-2ubuntu0.16.04.1 (main) from xenial-updates

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 1651595] [NEW] Please backport python-urllib3 1.13.1-2ubuntu0.16.04.1 (main) from xenial-updates

Ross Vandegrift
Public bug reported:

Please backport python-urllib3 1.13.1-2ubuntu0.16.04.1 (main) from
xenial-updates


Reason for the backport:
========================
In order to use TLS1.2 with python2.7 in trusty, I use the toolchain PPA on launchpad at ubuntu-toolchain-r/ppa.  This config has been working very well for many months.

In version 2.7.12-1~14.01, libpython2.7-stdlib has a Breaks: python-
urllib3 (< 1.9.1-3).  This prevents the installation of urllib3
alongside a version of python2.7 that supports TLS1.2.


Testing:
========
I've built a backport at ppa:ross-kallisti/python-urllib3.

NB: this was prepared by hand, not backportpackage.  This very problem
prevents installing ubuntu-dev-scripts with the updated python2.7
packages.

* trusty:
[X] Package builds without modification
[X] python-urllib3 installs cleanly and runs
[X] python3-urllib3 installs cleanly and runs

Reverse dependencies:
=====================
The following reverse-dependencies need to be tested against the new version of python-urllib3. For reverse-build-dependencies (-Indep), please test that the package still builds against the new python-urllib3. For reverse-dependencies, please test that the version of the package currently in the release still works with the new python-urllib3 installed. Reverse- Recommends, Suggests, and Enhances don't need to be tested, and are listed for completeness-sake.

python-urllib3
--------------
* python-httpretty
  [ ] trusty (Reverse-Depends)
  [X] trusty (Reverse-Build-Depends)
* requests
  [X] trusty (Reverse-Build-Depends)
* python-requests
  [X] trusty (Reverse-Depends)
* duplicity
  [ ] trusty (Reverse-Suggests)

python3-urllib3
---------------
* python3-requests
  [ ] trusty (Reverse-Depends)
* requests
  [X] trusty (Reverse-Build-Depends)
* code-of-conduct-signing-assistant
  [ ] trusty (Reverse-Depends)

** Affects: trusty-backports
     Importance: Undecided
         Status: New

--
You received this bug notification because you are a member of Ubuntu
Backporters, which is subscribed to trusty-backports.
Matching subscriptions: ubuntu-backporters
https://bugs.launchpad.net/bugs/1651595

Title:
  Please backport python-urllib3 1.13.1-2ubuntu0.16.04.1 (main) from
  xenial-updates

To manage notifications about this bug go to:
https://bugs.launchpad.net/trusty-backports/+bug/1651595/+subscriptions

--
ubuntu-backports mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-backports
Loading...